### Constructor

# ICalGLib Duration new_full

since: 1.0

#### Declaration [src]

    ICalDuration*
    i_cal_duration_new_full (
      icaldurationtype native
    )

#### Description [src]

Create a new libical-glib object from the native libical object and the owner.

Available since: 1.0

This constructor is not directly available to language bindings.

#### Parameters

`native`

  Type: `icaldurationtype`

  The native libical object.

  The argument can be `NULL`.

#### Return value

Type: `ICalDuration`

The newly create libical-glib object.

The caller of the function takes ownership of the data, and is responsible for freeing it.